MuleProxyListener (Mule ESB 2.2.1 API)
Keywords: org.mule.module.client.MuleProxyListener class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.client
Class MuleProxyListener

    java.lang.Object
      org.mule.module.client.MuleProxyListener

All Implemented Interfaces:
  InvocationHandler

    public class MuleProxyListener

extends Object
implements InvocationHandler

`MuleProxyListener` is a generic listent proxy that can be used to foward calls as Mule events from any Observer/Observerable implementation.

Constructor Summary
`MuleProxyListener(Class listenerClass, AbstractEventTransformer eventTransformer, String componentName)`
`MuleProxyListener(Class listenerClass, AbstractEventTransformer eventTransformer, String componentName, MuleClient client)`
`MuleProxyListener(Class listenerClass, String componentName)`

Method Summary
`protected void` | `createProxy()`
`MuleClient` | `getClient()`
`String` | `getComponentName()`
`Transformer` | `getEventTransformer()`
`Class` | `getListenerClass()`
`Object` | `getProxy()`
`Object` | `invoke(Object proxy, Method method, Object[] args)`
`void` | `setClient(MuleClient client)`
`void` | `setComponentName(String componentName)`
`void` | `setEventTransformer(AbstractEventTransformer eventTransformer)`
`void` | `setListenerClass(Class listenerClass)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MuleProxyListener

    public MuleProxyListener(Class listenerClass,
                             String componentName)
                      throws MuleException

Throws:
  `MuleException`

### MuleProxyListener

    public MuleProxyListener(Class listenerClass,
                             AbstractEventTransformer eventTransformer,
                             String componentName)
                      throws MuleException

Throws:
  `MuleException`

### MuleProxyListener

    public MuleProxyListener(Class listenerClass,
                             AbstractEventTransformer eventTransformer,
                             String componentName,
                             MuleClient client)

Method Detail

### createProxy

    protected void createProxy()

### getListenerClass

    public Class getListenerClass()

### setListenerClass

    public void setListenerClass(Class listenerClass)

### getEventTransformer

    public Transformer getEventTransformer()

### setEventTransformer

    public void setEventTransformer(AbstractEventTransformer eventTransformer)

### getComponentName

    public String getComponentName()

### setComponentName

    public void setComponentName(String componentName)

### getClient

    public MuleClient getClient()

### setClient

    public void setClient(MuleClient client)

### invoke

    public Object invoke(Object proxy,
                         Method method,
                         Object[] args)
                  throws Throwable

  Specified by:
    `invoke` in interface `InvocationHandler`
  Throws:
    `Throwable`

### getProxy

    public Object getProxy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.